Update account order credentials
curl --request PATCH \
--url https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": "Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail"
}
'import requests
url = "https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials"
payload = { "credentials": "Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentials: 'Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail'
})
};
fetch('https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'credentials' => 'Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials"
payload := strings.NewReader("{\n \"credentials\": \"Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"credentials\": \"Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"credentials\": \"Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"account_offer_id": 123,
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"buyer": {
"id": 123,
"username": "<string>"
},
"rating": {
"id": 123,
"labels": [
"<string>"
],
"rating": 123,
"comment": "<string>",
"created_at": 123,
"updated_at": 123
},
"title": "<string>",
"description": "<string>",
"parameters": {},
"status": "pending",
"is_disputed": true,
"dispute_case_id": 123,
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"is_manual_delivery": true,
"credentials": "<string>",
"delivery_instructions": "<string>",
"price": "<string>",
"price_usd": "<string>",
"image_urls": [
"<string>"
],
"created_at": 123,
"updated_at": 123,
"purchased_at": 123,
"completed_at": 123,
"refunded_at": 123
},
"message": "<string>",
"warning": "<string>"
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "The given data was invalid.",
"errors": {
"field": [
"Something is wrong with this field!"
]
}
}{
"message": "Too many requests."
}Account Orders
Update account order credentials
Update the account credentials for a sold order. Buyer will be notified of the updated credentials automatically.
PATCH
/
v2
/
account-orders
/
{accountOrder}
/
credentials
Update account order credentials
curl --request PATCH \
--url https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": "Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail"
}
'import requests
url = "https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials"
payload = { "credentials": "Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentials: 'Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail'
})
};
fetch('https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'credentials' => 'Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials"
payload := strings.NewReader("{\n \"credentials\": \"Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"credentials\": \"Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"credentials\": \"Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"account_offer_id": 123,
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"buyer": {
"id": 123,
"username": "<string>"
},
"rating": {
"id": 123,
"labels": [
"<string>"
],
"rating": 123,
"comment": "<string>",
"created_at": 123,
"updated_at": 123
},
"title": "<string>",
"description": "<string>",
"parameters": {},
"status": "pending",
"is_disputed": true,
"dispute_case_id": 123,
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"is_manual_delivery": true,
"credentials": "<string>",
"delivery_instructions": "<string>",
"price": "<string>",
"price_usd": "<string>",
"image_urls": [
"<string>"
],
"created_at": 123,
"updated_at": 123,
"purchased_at": 123,
"completed_at": 123,
"refunded_at": 123
},
"message": "<string>",
"warning": "<string>"
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "The given data was invalid.",
"errors": {
"field": [
"Something is wrong with this field!"
]
}
}{
"message": "Too many requests."
}Authorizations
Path Parameters
Body
application/json
Account credentials in plain text format. Supports multi-line input with line breaks. Content is automatically encrypted using AES-256 encryption for secure storage.
Maximum string length:
10000Example:
"Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail"
Was this page helpful?